Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SureCart","colors":{"primary":"#00824c","light":"#00824c","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/surecart/ETeQN6deVZFb6K1z/logo/surecart-logo-light.svg?fit=max\u0026auto=format\u0026n=ETeQN6deVZFb6K1z\u0026q=85\u0026s=38315d1a606d0a91773837ea01e08a74","dark":"https://mintcdn.com/surecart/ETeQN6deVZFb6K1z/logo/surecart-logo-dark.svg?fit=max\u0026auto=format\u0026n=ETeQN6deVZFb6K1z\u0026q=85\u0026s=d0dc62ee850e0e69d81395b283b6c338"},"favicon":"https://mintcdn.com/surecart/jHwrSAqAc4o_umB5/favicon.png?fit=max\u0026auto=format\u0026n=jHwrSAqAc4o_umB5\u0026q=85\u0026s=8f5e1bed5ef79ba47647c500fedaadb1","footer":{"socials":{"facebook":"https://www.facebook.com/my.surecart","x":"https://x.com/my_surecart","youtube":"https://www.youtube.com/@SureCartOfficial","linkedin":"https://www.linkedin.com/company/surecart"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"surecart","hasAudioNarration":false,"actualSubdomain":"surecart","customDomains":["developer.surecart.com"],"gitSource":{"type":"github","owner":"surecart","repo":"surecart-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6aeba1a453a711b082ca0a45","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":429},{"language":"default","tag":"Products","count":106},{"language":"default","tag":"Orders \u0026 Payments","count":86},{"language":"default","tag":"Shipping \u0026 Fulfillment","count":62},{"language":"default","tag":"Core Endpoints","count":48},{"language":"default","tag":"Affiliates","count":42},{"language":"default","tag":"Customers","count":39},{"language":"default","tag":"Subscriptions","count":36},{"language":"default","tag":"Documentation","count":28},{"language":"default","tag":"Extending","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".prose :where(h1):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){color:var(--tw-prose-headings);font-weight:800;font-size:2.25em;margin-top:2.5em;margin-bottom:0.8888889em;line-height:1.1111111}.prose :where(h1 strong):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){font-weight:900;color:inherit}.prose :where(h2):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){color:var(--tw-prose-headings);font-weight:700;font-size:1.5em;margin-top:4em;margin-bottom:0.6666666666666666em;line-height:1.3333333}.prose :where(h2 strong):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){font-weight:800;color:inherit}.prose :where(h3):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){color:var(--tw-prose-headings);font-weight:600;font-size:1.25em;margin-top:2.4em;margin-bottom:0.6em;line-height:1.4}.prose :where(h3 strong):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){font-weight:700;color:inherit}.prose :where(h4):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){color:var(--tw-prose-headings);font-weight:600;margin-top:2em;margin-bottom:0.5em;line-height:1.5;font-size:1.125em}.prose :where(h4 strong):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){font-weight:700;color:inherit}"}],"page":{"pagePath":"api-reference/saved-lists/update","slug":"/api-reference/saved-lists/update","pageMetadata":{"title":"Update","description":"Updates a specific saved list. The default list can't be updated.","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/saved_lists/{id}","href":"/api-reference/saved-lists/update","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Updates a specific saved list. The default list can’t be updated.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update","description":"Updates a specific saved list. The default list can't be updated.","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/saved_lists/{id}","href":"/api-reference/saved-lists/update","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update","parameters":["0e577ef6-e9cb-4a18-8e03-f5fca266fbe5"],"tags":["Saved Lists"],"operationId":"update_saved_list","description":"Updates a specific saved list. The default list can't be updated.","responses":{"200":"c74a3ad9-117a-471d-9614-deaa9529289a"},"requestBody":"24cdb29a-4fe1-4571-97a8-24955a870309","method":"patch","type":"path","servers":["2f42c3b1-201c-4eb3-8948-b6d1ca0317da"],"security":["ae5a6299-aa3f-4bb2-bfeb-ecf181c03918"],"path":"/v1/saved_lists/{id}","baseUrlOptions":["https://{defaultHost}"],"title":"Update","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0e577ef6-e9cb-4a18-8e03-f5fca266fbe5":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"saved_list":{"type":"object","properties":{"customer":{"type":"string","description":"The UUID of the customer this list belongs to. Only used when creating a list.","uniqueKey":"saved_list.customer","typeLabel":"string"},"name":{"type":"string","description":"The name of the list. The default list can't be renamed.","uniqueKey":"saved_list.name","typeLabel":"string"},"metadata":{"type":"object","description":"Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.","uniqueKey":"saved_list.metadata","typeLabel":"object"}},"uniqueKey":"saved_list","typeLabel":"object"}},"example":{"saved_list":{"name":"Holiday ideas"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"saved_list":{"name":"Holiday ideas"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"c74a3ad9-117a-471d-9614-deaa9529289a":{"description":"Success","content":{"application/json":{"example":{"id":"3013fb57-a499-459b-939c-49b2e15119fd","object":"saved_list","default":false,"live_mode":true,"metadata":{},"name":"Holiday ideas","customer":"641e27f6-1afa-44d4-b355-6d9609226a9a","created_at":1793796987,"updated_at":1793796987},"schema":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"id.oneOf.1","typeLabel":"null"}],"uniqueKey":"id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"object","typeLabel":"string"},"customer":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated customer ID.","uniqueKey":"customer.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated customer object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.object","typeLabel":"string"},"affiliation_expires_at":{"oneOf":[{"type":"integer","description":"Time at which the affiliation will expire.","uniqueKey":"customer.oneOf.1.affiliation_expires_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the affiliation will expire.","uniqueKey":"customer.oneOf.1.affiliation_expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation_expires_at","typeLabel":"integer | null"},"billing_matches_shipping":{"type":"boolean","description":"If set to `true` the shipping address will be used for the billing address.","uniqueKey":"customer.oneOf.1.billing_matches_shipping","typeLabel":"boolean"},"email":{"type":"string","description":"The customer’s email address.","uniqueKey":"customer.oneOf.1.email","typeLabel":"string"},"first_name":{"oneOf":[{"type":"string","description":"The customer’s first name.","uniqueKey":"customer.oneOf.1.first_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer’s first name.","uniqueKey":"customer.oneOf.1.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.first_name","typeLabel":"string | null"},"live_mode":{"type":"boolean","description":"Set to `true` if this customer is in live mode, and set to `false` if it is in test mode.","uniqueKey":"customer.oneOf.1.live_mode","typeLabel":"boolean"},"last_name":{"oneOf":[{"type":"string","description":"The customer’s last name.","uniqueKey":"customer.oneOf.1.last_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer’s last name.","uniqueKey":"customer.oneOf.1.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.last_name","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"The customer’s full name or business name. If set, this will take precedence over the separate `first_name` and `last_name` attributes.","uniqueKey":"customer.oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer’s full name or business name. If set, this will take precedence over the separate `first_name` and `last_name` attributes.","uniqueKey":"customer.oneOf.1.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.name","typeLabel":"string | null"},"phone":{"oneOf":[{"type":"string","description":"The customer’s phone number.","uniqueKey":"customer.oneOf.1.phone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer’s phone number.","uniqueKey":"customer.oneOf.1.phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.phone","typeLabel":"string | null"},"tax_enabled":{"type":"boolean","description":"Whether or not tax should be calculated for checkouts associated with this customer.","uniqueKey":"customer.oneOf.1.tax_enabled","typeLabel":"boolean"},"unsubscribed":{"type":"boolean","description":"Set to `true` if this customer has unsubscribed from from opt-in emails (i.e. abandoned cart emails).","uniqueKey":"customer.oneOf.1.unsubscribed","typeLabel":"boolean"},"indexed":{"type":"boolean","description":"Whether or not this customer is included in the `/customers` list endpoint. Only customers that have been manually created or have a purchase are indexed.","uniqueKey":"customer.oneOf.1.indexed","typeLabel":"boolean"},"affiliation":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated affiliation ID.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated affiliation object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.object","typeLabel":"string"},"active":{"type":"boolean","description":"Whether or not the affiliate is active.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.active","typeLabel":"boolean"},"affiliation_products":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated affiliation product objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.affiliation_products","typeLabel":"string | object | null"},"commission_structure":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated commission structure ID.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.commission_structure.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated commission structure object.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.commission_structure.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.commission_structure.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.commission_structure","typeLabel":"string | any | null"},"portal_url":{"oneOf":[{"type":"string","description":"A URL that will redirect to this affiliation's correct portal page (hosted or external).","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.portal_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that will redirect to this affiliation's correct portal page (hosted or external).","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.portal_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.portal_url","typeLabel":"string | null"},"referral_url":{"type":"string","description":"The referral URL with the affiliate's code appended as a query parameter.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referral_url","typeLabel":"string"},"total_commission_amount":{"type":"integer","description":"The total commission amount earned by the affiliate.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.total_commission_amount","typeLabel":"integer"},"total_not_paid_commission_amount":{"type":"integer","description":"The total commission amount earned by the affiliate that has not been paid out yet.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.total_not_paid_commission_amount","typeLabel":"integer"},"clicks":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated click objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.clicks","typeLabel":"string | object | null"},"referrals":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated referral objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.referrals","typeLabel":"string | object | null"},"payouts":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated payout objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.payouts","typeLabel":"string | object | null"},"discarded_at":{"oneOf":[{"type":"integer","description":"Time at which the object was discarded. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.discarded_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was discarded. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.discarded_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.discarded_at","typeLabel":"integer | null"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.affiliation.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.affiliation.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.affiliation","typeLabel":"string | object | null"},"balances":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.balances.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of this customer's balances.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.balances.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.balances.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.balances.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.balances.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.balances","typeLabel":"string | object | null"},"billing_address":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated address ID.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated address object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.object","typeLabel":"string"},"city":{"type":"string","description":"City, district, suburb, town, or village.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.city","typeLabel":"string"},"country":{"type":"string","description":"The two-letter code of the country - ISO 3166-1. (Reference the Atlas API for all available codes.)","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.country","typeLabel":"string"},"line_1":{"type":"string","description":"Address line 1 (e.g., street, PO Box, or company name).","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.line_1","typeLabel":"string"},"line_2":{"oneOf":[{"type":"string","description":"Address line 2 (e.g., apartment, suite, unit, or building).","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.line_2.oneOf.0","typeLabel":"string"},{"type":"null","description":"Address line 2 (e.g., apartment, suite, unit, or building).","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.line_2.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.line_2","typeLabel":"string | null"},"name":{"type":"string","description":"The full name or business name for this address. (If empty, this will fallback to the customer's name.)","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.name","typeLabel":"string"},"postal_code":{"type":"string","description":"ZIP or postal code.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.postal_code","typeLabel":"string"},"state":{"type":"string","description":"The code of the state - ISO 3166-2. (Reference the Atlas API for all available codes.)","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.state","typeLabel":"string"},"formatted_string":{"type":"string","description":"A formatted string representation of the address.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.formatted_string","typeLabel":"string"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.billing_address.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.billing_address.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.billing_address.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.billing_address","typeLabel":"string | object | null"},"default_payment_method":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated payment method ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated payment method object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.object","typeLabel":"string"},"external_payment_method_id":{"type":"string","description":"The external processor ID representing this payment method.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.external_payment_method_id","typeLabel":"string"},"live_mode":{"type":"boolean","description":"Set to `true` if this charge is in live mode, and set to `false` if it is in test mode.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.live_mode","typeLabel":"boolean"},"processor_type":{"type":"string","description":"The specific type of processor. The only allowed processors right now are `stripe` and `paypal`.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.processor_type","typeLabel":"string"},"reusable":{"type":"boolean","description":"Whether or not this payment method can be reused. Only reusable payment methods can be attached to subscriptions and set as a customer's default.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.reusable","typeLabel":"boolean"},"supported_currencies":{"oneOf":[{"type":"array","description":"A list of currencies that this payment method supports. If `null`, this payment method supports all currencies.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.supported_currencies.oneOf.0","typeLabel":"array"},{"type":"null","description":"A list of currencies that this payment method supports. If `null`, this payment method supports all currencies.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.supported_currencies.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.supported_currencies","typeLabel":"array | null"},"type":{"type":"string","description":"The type of payment method. One of `bank_account, `card`, `payment_instrument`, or `paypal_account`.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.type","typeLabel":"string"},"bank_account":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated bank account ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.bank_account.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated bank account object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.bank_account.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.bank_account.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.bank_account","typeLabel":"string | any | null"},"card":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated card ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated card object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.object","typeLabel":"string"},"brand":{"type":"string","description":"The brand of the card, which can be `amex`, `diners`, `discover`, `jcb`, `mastercard`, `unionpay`, `visa`, or `unknown`.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.brand","typeLabel":"string"},"exp_month":{"type":"integer","description":"Two-digit number representing the card’s expiration month.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.exp_month","typeLabel":"integer"},"exp_year":{"type":"integer","description":"Four-digit number representing the card’s expiration year.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.exp_year","typeLabel":"integer"},"last4":{"type":"string","description":"The last four digits of the card.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.last4","typeLabel":"string"},"wallet_type":{"oneOf":[{"type":"string","description":"If this card is part of a card wallet, this will be set to the type of wallet. The current types are `amex_express_checkout`, `apple_pay`, `google_pay`, `masterpass`, `samsung_pay`, or `visa_checkout`.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.wallet_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"If this card is part of a card wallet, this will be set to the type of wallet. The current types are `amex_express_checkout`, `apple_pay`, `google_pay`, `masterpass`, `samsung_pay`, or `visa_checkout`.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.wallet_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.wallet_type","typeLabel":"string | null"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.card","typeLabel":"string | object | null"},"customer":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated customer ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.customer.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated customer object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.customer.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.customer.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.customer","typeLabel":"string | any | null"},"payment_instrument":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated payment instrument ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.payment_instrument.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated payment instrument object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.payment_instrument.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.payment_instrument.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.payment_instrument","typeLabel":"string | any | null"},"paypal_account":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated paypal account ID.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.paypal_account.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated paypal account object.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.paypal_account.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.paypal_account.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.paypal_account","typeLabel":"string | any | null"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.default_payment_method.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_payment_method","typeLabel":"string | object | null"},"default_saved_list":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated saved list ID.","uniqueKey":"customer.oneOf.1.default_saved_list.oneOf.0","typeLabel":"string"},{"description":"[Expanded](/api-reference/expanding-responses) – The associated saved list object.","uniqueKey":"customer.oneOf.1.default_saved_list.oneOf.1","typeLabel":"any"},{"type":"null","uniqueKey":"customer.oneOf.1.default_saved_list.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.default_saved_list","typeLabel":"string | any | null"},"saved_lists":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of this customer's saved lists, including the default one.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.saved_lists.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.saved_lists.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.saved_lists","typeLabel":"string | object | null"},"licenses":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.licenses.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated license objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.licenses.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.licenses.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.licenses.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.licenses.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.licenses","typeLabel":"string | object | null"},"portal_url":{"oneOf":[{"type":"string","description":"A URL that will redirect to this customer's correct portal page (hosted or external).","uniqueKey":"customer.oneOf.1.portal_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that will redirect to this customer's correct portal page (hosted or external).","uniqueKey":"customer.oneOf.1.portal_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.portal_url","typeLabel":"string | null"},"purchases":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.purchases.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated purchase objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.purchases.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.purchases.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.purchases.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.purchases.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.purchases","typeLabel":"string | object | null"},"shipping_address":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated address ID.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated address object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.object","typeLabel":"string"},"city":{"type":"string","description":"City, district, suburb, town, or village.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.city","typeLabel":"string"},"country":{"type":"string","description":"The two-letter code of the country - ISO 3166-1. (Reference the Atlas API for all available codes.)","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.country","typeLabel":"string"},"line_1":{"type":"string","description":"Address line 1 (e.g., street, PO Box, or company name).","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.line_1","typeLabel":"string"},"line_2":{"oneOf":[{"type":"string","description":"Address line 2 (e.g., apartment, suite, unit, or building).","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.line_2.oneOf.0","typeLabel":"string"},{"type":"null","description":"Address line 2 (e.g., apartment, suite, unit, or building).","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.line_2.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.line_2","typeLabel":"string | null"},"name":{"type":"string","description":"The full name or business name for this address. (If empty, this will fallback to the customer's name.)","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.name","typeLabel":"string"},"postal_code":{"type":"string","description":"ZIP or postal code.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.postal_code","typeLabel":"string"},"state":{"type":"string","description":"The code of the state - ISO 3166-2. (Reference the Atlas API for all available codes.)","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.state","typeLabel":"string"},"formatted_string":{"type":"string","description":"A formatted string representation of the address.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.formatted_string","typeLabel":"string"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.shipping_address.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.shipping_address.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.shipping_address","typeLabel":"string | object | null"},"tax_identifier":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – The associated tax identifier ID.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – The associated tax identifier object.","properties":{"id":{"oneOf":[{"type":"string","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The UUID of the specific object.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.id","typeLabel":"string | null"},"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.object","typeLabel":"string"},"number":{"oneOf":[{"type":"string","description":"The tax ID number.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The tax ID number.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.number.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.number","typeLabel":"string | null"},"number_type":{"type":"string","description":"The type of tax ID number.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.number_type","typeLabel":"string"},"eu_vat_verified":{"type":"boolean","description":"Whether or not this a verified EU VAT number based on regex validation and an attempted VIES check.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.eu_vat_verified","typeLabel":"boolean"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.tax_identifier.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.tax_identifier","typeLabel":"string | object | null"},"reviews":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"customer.oneOf.1.reviews.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated review objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1.reviews.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"customer.oneOf.1.reviews.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"customer.oneOf.1.reviews.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"customer.oneOf.1.reviews.oneOf.2","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.reviews","typeLabel":"string | object | null"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"customer.oneOf.1.updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"customer.oneOf.1.updated_at","typeLabel":"integer | null"}},"uniqueKey":"customer.oneOf.1","typeLabel":"object"}],"uniqueKey":"customer","typeLabel":"string | object"},"default":{"type":"boolean","description":"Whether this is the customer's default list. Every customer has exactly one, and it can't be renamed or deleted.","uniqueKey":"default","typeLabel":"boolean"},"live_mode":{"type":"boolean","description":"Set to true if this list belongs to a live mode customer.","uniqueKey":"live_mode","typeLabel":"boolean"},"name":{"type":"string","description":"The name of the list. The default list has a fixed name.","uniqueKey":"name","typeLabel":"string"},"saved_items":{"oneOf":[{"type":"string","description":"[Expandable](/api-reference/expanding-responses) – Property not returned unless expanded.","uniqueKey":"saved_items.oneOf.0","typeLabel":"string"},{"type":"object","description":"[Expanded](/api-reference/expanding-responses) – A list of associated saved item objects.","properties":{"object":{"type":"string","description":"A string describing the object type returned.","uniqueKey":"saved_items.oneOf.1.object","typeLabel":"string"},"pagination":{"type":"object","properties":{"count":{"type":"integer","description":"The total number of items.","uniqueKey":"saved_items.oneOf.1.pagination.count","typeLabel":"integer"},"limit":{"oneOf":[{"type":"integer","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"saved_items.oneOf.1.pagination.limit.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The number of items per page. The default is `20` and the maximum is `100`.","uniqueKey":"saved_items.oneOf.1.pagination.limit.oneOf.1","typeLabel":"null"}],"uniqueKey":"saved_items.oneOf.1.pagination.limit","typeLabel":"integer | null"},"page":{"oneOf":[{"type":"integer","description":"The current page.","uniqueKey":"saved_items.oneOf.1.pagination.page.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The current page.","uniqueKey":"saved_items.oneOf.1.pagination.page.oneOf.1","typeLabel":"null"}],"uniqueKey":"saved_items.oneOf.1.pagination.page","typeLabel":"integer | null"}},"uniqueKey":"saved_items.oneOf.1.pagination","typeLabel":"object"},"data":{"type":"array","description":"An array of objects.","uniqueKey":"saved_items.oneOf.1.data","typeLabel":"array"}},"uniqueKey":"saved_items.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"saved_items.oneOf.2","typeLabel":"null"}],"uniqueKey":"saved_items","typeLabel":"string | object | null"},"metadata":{"type":"object","description":"Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.","uniqueKey":"metadata","typeLabel":"object"},"created_at":{"oneOf":[{"type":"integer","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"created_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was created. Measured in seconds since the Unix epoch.","uniqueKey":"created_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"created_at","typeLabel":"integer | null"},"updated_at":{"oneOf":[{"type":"integer","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"updated_at.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Time at which the object was last updated. Measured in seconds since the Unix epoch.","uniqueKey":"updated_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"updated_at","typeLabel":"integer | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3013fb57-a499-459b-939c-49b2e15119fd","object":"saved_list","default":false,"live_mode":true,"metadata":{},"name":"Holiday ideas","customer":"641e27f6-1afa-44d4-b355-6d9609226a9a","created_at":1793796987,"updated_at":1793796987}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"ae5a6299-aa3f-4bb2-bfeb-ecf181c03918":{"bearer_auth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearer_auth"}}},"servers":{"2f42c3b1-201c-4eb3-8948-b6d1ca0317da":{"url":"https://{defaultHost}","variables":{"defaultHost":{"default":"api.surecart.com"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearer_auth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer_auth","name":"Authorization"}],"title":"bearer_auth"}]},"originalFileLocation":"openapi/v1/customers.json"},"subdomain":"surecart","siteName":"SureCart","title":"Update - SureCart","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-04T17:46:02.601Z","originalFileLocation":"api-reference/saved-lists/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Updates a specific saved list. The default list can\u0026#x27;t be updated.\">\u003cmeta data-mint-head name=\"application-name\" content=\"SureCart\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update - SureCart\">\u003cmeta data-mint-head property=\"og:description\" content=\"Updates a specific saved list. The default list can\u0026#x27;t be updated.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SureCart\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.surecart.com/api-reference/saved-lists/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://surecart.mintlify.site/_mintlify/api/og/v2?division=Saved+Lists\u0026amp;title=Update\u0026amp;description=Updates+a+specific+saved+list.+The+default+list+can%27t+be+updated.\u0026amp;theme=9b88c4f1d9bfad53237eccf2\u0026amp;signature=27cbfb201e64924bccbec53b896608f793dd7540acc2dce7abeb7c2aa3f8b3a4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update - SureCart\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Updates a specific saved list. The default list can\u0026#x27;t be updated.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://surecart.mintlify.site/_mintlify/api/og/v2?division=Saved+Lists\u0026amp;title=Update\u0026amp;description=Updates+a+specific+saved+list.+The+default+list+can%27t+be+updated.\u0026amp;theme=9b88c4f1d9bfad53237eccf2\u0026amp;signature=27cbfb201e64924bccbec53b896608f793dd7540acc2dce7abeb7c2aa3f8b3a4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/surecart/5YN85bnU-7QpL9oU/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SureCart\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00824c\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.surecart.com/api-reference/saved-lists/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/saved-lists/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.surecart.com/#organization\",\"name\":\"SureCart\",\"url\":\"https://developer.surecart.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/surecart/ETeQN6deVZFb6K1z/logo/surecart-logo-light.svg?fit=max\u0026auto=format\u0026n=ETeQN6deVZFb6K1z\u0026q=85\u0026s=38315d1a606d0a91773837ea01e08a74\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.surecart.com#website\",\"name\":\"SureCart\",\"url\":\"https://developer.surecart.com\",\"publisher\":{\"@id\":\"https://developer.surecart.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.surecart.com/api-reference/saved-lists/update#webpage\",\"url\":\"https://developer.surecart.com/api-reference/saved-lists/update\",\"name\":\"Update\",\"description\":\"Updates a specific saved list. The default list can't be updated.\",\"dateModified\":\"2026-11-04T17:46:02.601Z\",\"isPartOf\":{\"@id\":\"https://developer.surecart.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.surecart.com/api-reference/saved-lists/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.surecart.com/api-reference/saved-lists/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Customers\",\"item\":\"https://developer.surecart.com/api-reference/balance-transactions/list\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Saved Lists\",\"item\":\"https://developer.surecart.com/api-reference/saved-lists/list\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update\",\"item\":\"https://developer.surecart.com/api-reference/saved-lists/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.surecart.com/api-reference/saved-lists/update#apireference\",\"headline\":\"Update\",\"name\":\"Update\",\"description\":\"Updates a specific saved list. The default list can't be updated.\",\"url\":\"https://developer.surecart.com/api-reference/saved-lists/update\",\"mainEntityOfPage\":{\"@id\":\"https://developer.surecart.com/api-reference/saved-lists/update#webpage\"},\"dateModified\":\"2026-11-04T17:46:02.601Z\",\"publisher\":{\"@id\":\"https://developer.surecart.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.surecart.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"SureCart\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"SureCart","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Errors","href":"/api-reference/errors"},{"title":"Expanding Responses","href":"/api-reference/expanding-responses"},{"title":"Metadata","href":"/api-reference/metadata"},{"title":"Live \u0026 Test Mode","href":"/api-reference/modes"},{"title":"Pagination \u0026 Sorting","href":"/api-reference/pagination"},{"title":"Rate Limiting","href":"/api-reference/rate-limiting"},{"title":"Webhooks","href":"/api-reference/webhooks"}]},{"group":"Core Endpoints","expanded":false,"pages":[{"group":"Account Seeds","pages":[{"title":"Seed","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/account/seed","href":"/api-reference/account-seeds/seed"}]},{"group":"Accounts","pages":[{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/account","href":"/api-reference/accounts/retrieve"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json patch /v1/account","href":"/api-reference/accounts/update"}]},{"group":"Batch Operations","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/batch_operations","href":"/api-reference/batch-operations/list"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/batch_operations/{id}","href":"/api-reference/batch-operations/retrieve"}]},{"group":"Batches","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/batches","href":"/api-reference/batches/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/batches","href":"/api-reference/batches/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/batches/{id}","href":"/api-reference/batches/retrieve"}]},{"group":"Brands","pages":[{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/brand","href":"/api-reference/brands/retrieve"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json patch /v1/brand","href":"/api-reference/brands/update"}]},{"group":"Bulk Actions","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/bulk_actions","href":"/api-reference/bulk-actions/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/bulk_actions","href":"/api-reference/bulk-actions/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/bulk_actions/{id}","href":"/api-reference/bulk-actions/retrieve"}]},{"group":"Display Currencies","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/display_currencies","href":"/api-reference/display-currencies/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/display_currencies","href":"/api-reference/display-currencies/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/display_currencies/{id}","href":"/api-reference/display-currencies/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json delete /v1/display_currencies/{id}","href":"/api-reference/display-currencies/delete"}]},{"group":"Events","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/events","href":"/api-reference/events/list"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/events/{id}","href":"/api-reference/events/retrieve"}]},{"group":"Exports","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/exports","href":"/api-reference/exports/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/exports","href":"/api-reference/exports/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/exports/{id}","href":"/api-reference/exports/retrieve"}]},{"group":"Import Rows","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/import_rows","href":"/api-reference/import-rows/list"}]},{"group":"Imports","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/imports","href":"/api-reference/imports/list"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/imports/{id}","href":"/api-reference/imports/retrieve"},{"title":"Batch Create Products","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/imports/products","href":"/api-reference/imports/batch-create-products"},{"title":"Batch Create Coupons","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/imports/coupons","href":"/api-reference/imports/batch-create-coupons"},{"title":"Batch Create Product Collections","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/imports/product_collections","href":"/api-reference/imports/batch-create-product-collections"}]},{"group":"Medias","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/medias","href":"/api-reference/medias/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/medias","href":"/api-reference/medias/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/medias/{id}","href":"/api-reference/medias/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json delete /v1/medias/{id}","href":"/api-reference/medias/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json patch /v1/medias/{id}","href":"/api-reference/medias/update"}]},{"group":"Notes","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/notes","href":"/api-reference/notes/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/notes","href":"/api-reference/notes/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/notes/{id}","href":"/api-reference/notes/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json delete /v1/notes/{id}","href":"/api-reference/notes/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json patch /v1/notes/{id}","href":"/api-reference/notes/update"}]},{"group":"Processors","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/processors","href":"/api-reference/processors/list"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/processors/{id}","href":"/api-reference/processors/retrieve"},{"title":"Payment Method Types","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/processors/{id}/payment_method_types","href":"/api-reference/processors/payment-method-types"}]},{"group":"Statistics","pages":[{"title":"Orders","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/stats/orders","href":"/api-reference/statistics/orders"}]},{"group":"Webhook Endpoints","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/webhook_endpoints","href":"/api-reference/webhook-endpoints/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/webhook_endpoints","href":"/api-reference/webhook-endpoints/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json get /v1/webhook_endpoints/{id}","href":"/api-reference/webhook-endpoints/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json delete /v1/webhook_endpoints/{id}","href":"/api-reference/webhook-endpoints/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json patch /v1/webhook_endpoints/{id}","href":"/api-reference/webhook-endpoints/update"},{"title":"Test","deprecated":null,"version":null,"openapi":"/openapi/v1/core.json post /v1/webhook_endpoints/{id}/test","href":"/api-reference/webhook-endpoints/test"}]}]},{"group":"Customers","pages":[{"group":"Balance Transactions","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/balance_transactions","href":"/api-reference/balance-transactions/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/balance_transactions","href":"/api-reference/balance-transactions/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/balance_transactions/{id}","href":"/api-reference/balance-transactions/retrieve"}]},{"group":"Balances","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/balances","href":"/api-reference/balances/list"}]},{"group":"Customer Notification Protocols","pages":[{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customer_notification_protocol","href":"/api-reference/customer-notification-protocols/retrieve"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/customer_notification_protocol","href":"/api-reference/customer-notification-protocols/update"}]},{"group":"Customer Portal Protocols","pages":[{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customer_portal_protocol","href":"/api-reference/customer-portal-protocols/retrieve"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/customer_portal_protocol","href":"/api-reference/customer-portal-protocols/update"}]},{"group":"Customers","pages":[{"title":"Filter Schema","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customers/filter_schema","href":"/api-reference/customers/filter-schema"},{"title":"Filter","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/customers/filter","href":"/api-reference/customers/filter"},{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customers","href":"/api-reference/customers/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/customers","href":"/api-reference/customers/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customers/{id}","href":"/api-reference/customers/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json delete /v1/customers/{id}","href":"/api-reference/customers/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/customers/{id}","href":"/api-reference/customers/update"},{"title":"Expose Media","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/customers/{id}/expose/{media_id}","href":"/api-reference/customers/expose-media"}]},{"group":"Saved Items","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/saved_items","href":"/api-reference/saved-items/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/saved_items","href":"/api-reference/saved-items/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/saved_items/{id}","href":"/api-reference/saved-items/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json delete /v1/saved_items/{id}","href":"/api-reference/saved-items/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/saved_items/{id}","href":"/api-reference/saved-items/update"},{"title":"Move to checkout","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/saved_items/{saved_item_id}/line_item","href":"/api-reference/saved-items/move-to-checkout"},{"title":"Save line item","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/line_items/{line_item_id}/saved_item","href":"/api-reference/saved-items/save-line-item"}]},{"group":"Saved Lists","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/saved_lists","href":"/api-reference/saved-lists/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/saved_lists","href":"/api-reference/saved-lists/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json get /v1/saved_lists/{id}","href":"/api-reference/saved-lists/retrieve"},{"title":"Delete","description":"Deletes a specific saved list and its items. The default list can't be deleted.","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json delete /v1/saved_lists/{id}","href":"/api-reference/saved-lists/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json patch /v1/saved_lists/{id}","href":"/api-reference/saved-lists/update"},{"title":"Move to checkout","description":"Moves every item in the saved list into a checkout as line items. Nothing moves if any item can't.","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/saved_lists/{saved_list_id}/line_items","href":"/api-reference/saved-lists/move-to-checkout"}]},{"group":"Verification Codes","pages":[{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/verification_codes","href":"/api-reference/verification-codes/create"},{"title":"Verify","deprecated":null,"version":null,"openapi":"/openapi/v1/customers.json post /v1/verification_codes/verify","href":"/api-reference/verification-codes/verify"}]}]},{"group":"Products","pages":[{"group":"Auto Fee Protocols","pages":[{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/auto_fee_protocol","href":"/api-reference/auto-fee-protocols/retrieve"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/auto_fee_protocol","href":"/api-reference/auto-fee-protocols/update"}]},{"group":"Auto Fees","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/auto_fees","href":"/api-reference/auto-fees/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/auto_fees","href":"/api-reference/auto-fees/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/auto_fees/{id}","href":"/api-reference/auto-fees/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/auto_fees/{id}","href":"/api-reference/auto-fees/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/auto_fees/{id}","href":"/api-reference/auto-fees/update"},{"title":"Rule Schema","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/auto_fees/rule_schema/{fee_target}","href":"/api-reference/auto-fees/rule-schema"}]},{"group":"Bumps","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/bumps","href":"/api-reference/bumps/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/bumps","href":"/api-reference/bumps/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/bumps/{id}","href":"/api-reference/bumps/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/bumps/{id}","href":"/api-reference/bumps/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/bumps/{id}","href":"/api-reference/bumps/update"},{"title":"Duplicate","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/bumps/{id}/duplicate","href":"/api-reference/bumps/duplicate"}]},{"group":"Bundle Items","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/bundle_items","href":"/api-reference/bundle-items/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/bundle_items","href":"/api-reference/bundle-items/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/bundle_items/{id}","href":"/api-reference/bundle-items/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/bundle_items/{id}","href":"/api-reference/bundle-items/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/bundle_items/{id}","href":"/api-reference/bundle-items/update"}]},{"group":"Coupons","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/coupons","href":"/api-reference/coupons/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/coupons","href":"/api-reference/coupons/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/coupons/{id}","href":"/api-reference/coupons/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/coupons/{id}","href":"/api-reference/coupons/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/coupons/{id}","href":"/api-reference/coupons/update"},{"title":"Duplicate","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/coupons/{id}/duplicate","href":"/api-reference/coupons/duplicate"}]},{"group":"Discounts","pages":[{"title":"List Discounts","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/discounts","href":"/api-reference/discounts/list-discounts"},{"title":"Retrieve Discount","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/discounts/{id}","href":"/api-reference/discounts/retrieve-discount"}]},{"group":"Downloads","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/downloads","href":"/api-reference/downloads/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/downloads","href":"/api-reference/downloads/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/downloads/{id}","href":"/api-reference/downloads/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/downloads/{id}","href":"/api-reference/downloads/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/downloads/{id}","href":"/api-reference/downloads/update"}]},{"group":"Prices","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/prices","href":"/api-reference/prices/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/prices","href":"/api-reference/prices/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/prices/{id}","href":"/api-reference/prices/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/prices/{id}","href":"/api-reference/prices/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/prices/{id}","href":"/api-reference/prices/update"},{"title":"Duplicate","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/prices/{id}/duplicate","href":"/api-reference/prices/duplicate"}]},{"group":"Product Collections","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_collections","href":"/api-reference/product-collections/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/product_collections","href":"/api-reference/product-collections/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_collections/{id}","href":"/api-reference/product-collections/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/product_collections/{id}","href":"/api-reference/product-collections/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/product_collections/{id}","href":"/api-reference/product-collections/update"}]},{"group":"Product Groups","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_groups","href":"/api-reference/product-groups/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/product_groups","href":"/api-reference/product-groups/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_groups/{id}","href":"/api-reference/product-groups/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/product_groups/{id}","href":"/api-reference/product-groups/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/product_groups/{id}","href":"/api-reference/product-groups/update"}]},{"group":"Product Medias","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_medias","href":"/api-reference/product-medias/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/product_medias","href":"/api-reference/product-medias/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/product_medias/{id}","href":"/api-reference/product-medias/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/product_medias/{id}","href":"/api-reference/product-medias/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/product_medias/{id}","href":"/api-reference/product-medias/update"}]},{"group":"Products","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/products","href":"/api-reference/products/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/products","href":"/api-reference/products/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/products/{id}","href":"/api-reference/products/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/products/{id}","href":"/api-reference/products/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/products/{id}","href":"/api-reference/products/update"},{"title":"Duplicate","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/products/{id}/duplicate","href":"/api-reference/products/duplicate"}]},{"group":"Promotions","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/promotions","href":"/api-reference/promotions/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json post /v1/promotions","href":"/api-reference/promotions/create"},{"title":"Retrieve","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json get /v1/promotions/{id}","href":"/api-reference/promotions/retrieve"},{"title":"Delete","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json delete /v1/promotions/{id}","href":"/api-reference/promotions/delete"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/v1/products.json patch /v1/promotions/{id}","href":"/api-reference/promotions/update"}]},{"group":"Review Medias","pages":[{"title":"List","deprecated":null,"
[...]
